import { baseUrl, compEquipQuery, object } from "@/api/scan/config";
import http from "@/api/scan/httpUtil";

//设备清单 - 查询设备信息
export function queryEquip(param, success) {
  let url = `${baseUrl}${object}/equip/query`;
  http.postJson(url, param, success);
}

//设备清单 - 统计项目下所有设备数量
export function countEquip(param, success) {
  let url = `${baseUrl}${object}/equip/count`;
  http.postJson(url, param, success);
}

//查询设备关联资产部件数量
export function getEquipTableCon(param, success) {
  let url = `${baseUrl}${compEquipQuery}/equip-components`;
  http.postJson(url, param, success);
}
